<mat-progress-bar *ngIf="loading$ | async" mode="indeterminate"></mat-progress-bar>
<div class="w-full flex justify-center items-center mt-5">
    <kortext-search-bar (searchValue)="search($event)"></kortext-search-bar>

    <kortext-sorting-bar *ngIf="sortProperty$ | async as sortProperty" [values]="bookSortingValues"
        [title]="'book sorting'" [selection]="sortProperty" (selectionChange)="sort($event)"
        [orderAsc]="(orderAsc$ | async) ?? true" (orderChange)="order()">
    </kortext-sorting-bar>
</div>

<ng-container *ngIf="error$ | async as error else store">
    {{error.text}}
</ng-container>

<ng-template #store>
    <cdk-virtual-scroll-viewport itemSize="10" minBufferPx="1200" maxBufferPx="1200" class=" mx-10 h-full mb-32">
        <mat-grid-list cols="3" rowHeight="2:1">
            <mat-grid-tile *cdkVirtualFor="let book of books$ | async">
                <kortext-book-card [book]="book"></kortext-book-card>
            </mat-grid-tile>
        </mat-grid-list>
    </cdk-virtual-scroll-viewport>
</ng-template>

<button class="fixed top-5 right-5" mat-icon-button [routerLink]="['']">
    <mat-icon>home</mat-icon>
</button>